SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Adobe Systems Incorporated
Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Information
SecurityTracker Alert ID:  1026761
SecurityTracker URL:  http://securitytracker.com/id/1026761
CVE Reference:   CVE-2012-0768, CVE-2012-0769   (Links to External Site)
Date:  Mar 6 2012
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 11.1.102.63; prior to 11.1.111.7 and 11.1.115.7 for Android
Description:   Two vulnerabilities were reported in Adobe Flash Player. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can obtain potentially information.

A remote user can create specially crafted content that, when loaded by the target user, will trigger a memory corruption error in Matrix3D and execute arbitrary code on the target system [CVE-2012-0768]. The code will run with the privileges of the target user. Tavis Ormandy of the Google Security Team reported this vulnerability.

A remote user can create specially crafted content that, when loaded by the target user, will trigger integer errors and disclose potentially sensitive information [CVE-2012-0769]. Fermin J. Serna of the Google Security Team reported this vulnerability.

Impact:   A remote user can create Flash content that, when loaded by the target user, will execute arbitrary code on the target user's system or obtain potentially sensitive information.
Solution:   The vendor has issued a fix (11.1.102.63, 11.1.111.7, 11.1.115.7).

The vendor's advisory is available at:

http://www.adobe.com/support/security/bulletins/apsb12-05.html

Vendor URL:  www.adobe.com/support/security/bulletins/apsb12-05.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Android, Linux (Any), UNIX (macOS/OS X), UNIX (Solaris - SunOS), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Mar 6 2012 (Red Hat Issues Fix) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Information
Red Hat has issued a fix for Red Hat Enterprise Linux 5 and 6.
Apr 18 2012 (Gentoo Issues Fix) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Information
Gentoo has issued a fix.
Oct 31 2012 (Oracle Issues Fix for Solaris) Adobe Flash Player Bugs Let Remote Users Execute Arbitrary Code and Obtain Information
Oracle has issued a fix for Solaris 10.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC